package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.PowerBoxElecEqpt;

import java.util.List;

/**
 * 动力箱柜电气设备Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-20
 */
public interface PowerBoxElecEqptMapper {
    /**
     * 查询动力箱柜电气设备
     *
     * @param id 动力箱柜电气设备主键
     * @return 动力箱柜电气设备
     */
    PowerBoxElecEqpt selectBoxElecEqptById(Long id);

    /**
     * 查询动力箱柜电气设备列表
     *
     * @param boxElecEqpt 动力箱柜电气设备
     * @return 动力箱柜电气设备集合
     */
    List<PowerBoxElecEqpt> selectBoxElecEqptList(PowerBoxElecEqpt boxElecEqpt);

    /**
     * 查询动力箱柜电气设备列表
     *
     * @param boxCode 动力箱柜编码
     * @return 动力箱柜电气设备集合
     */
    List<PowerBoxElecEqpt> selectByBoxCode(String boxCode);

    /**
     * 新增动力箱柜电气设备
     *
     * @param boxElecEqpt 动力箱柜电气设备
     * @return 结果
     */
    int insertBoxElecEqpt(PowerBoxElecEqpt boxElecEqpt);

    /**
     * 批量-新增动力箱柜电气设备
     *
     * @param list 动力箱柜电气设备列表
     * @return 结果
     */
    int insertBatch(List<PowerBoxElecEqpt> list);

    /**
     * 修改动力箱柜电气设备
     *
     * @param boxElecEqpt 动力箱柜电气设备
     * @return 结果
     */
    int updateBoxElecEqpt(PowerBoxElecEqpt boxElecEqpt);

    /**
     * 删除动力箱柜电气设备
     *
     * @param id 动力箱柜电气设备主键
     * @return 结果
     */
    int deleteBoxElecEqptById(Long id);

    int deleteByBoxCode(String boxCode);

    /**
     * 批量删除动力箱柜电气设备
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBoxElecEqptByIds(Long[] ids);
}
